#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-uucp installation
#
# Creation   :  2022-09-07 holbru
# Last update:  $Id: install.sh 105560 2023-07-16 15:36:45Z hbfl $
#
# Copyright (c) 2022-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-uucp

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
/usr/bin/systemd-sysusers system-user-uucp.conf

if ! /usr/bin/getent passwd uucp | /usr/bin/grep -q 'nologin'
then
    /var/install/bin/modify-user -s uucp '/sbin/nologin'
fi

if ! /usr/bin/getent passwd uucp | /usr/bin/grep -q 'Unix-to-Unix'
then
    /var/install/bin/modify-user -c uucp 'Unix-to-Unix CoPy system'
fi


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
